OE11.4 war file compatible with OE11.6 Appserver? - Forum - OpenEdge General - Progress Community

OE11.4 war file compatible with OE11.6 Appserver?

 Forum

OE11.4 war file compatible with OE11.6 Appserver?

This question is not answered

Hi all,

we created a war file in 11.4 which is working fine. Now we migrated to 11.6.1 and deployed the same war file. This seemed to work, but now we get an error in one call saying cannot locate method x in classs y with matching signature.

Before I dig deeper into this I wanted to ask if this is supposed to work or if there are any internal changes between 11.4 and 11.6.

Also something else made me wonder: When trying to add the Rest facet in a new 11.6 workspace, the Rest facet is only displayed as version11.5. if I then try to add id, devStudio complains that this does conflict with 11.6 Appserver...?!?

Any help greatly appreciated!

Mike

All Replies
  • Also something else made me wonder: When trying to add the Rest facet in a new 11.6 workspace, the Rest facet is only displayed as version11.5. if I then try to add id, devStudio complains that this does conflict with 11.6 Appserver...?!?

     
    The service types are different between classic appserver and PASOE.  You *may* be able to use the 11.4 WAR with a newer classic AppServer REST adapter. You will not be able to use it with PASOE.
     
    To migrate to the PASOE service types, use
    Classic Mobile service is now ABL Service & Annotated RPC
    Classic REST service is now ABL Service & Mapped RPC
     
    There's also ABL Service & WebSpeed for the new WEB transport in PASOE
     
     
     
     
     
     
     
  • 11.4 and 11.6 are both classic app server.
    Do you know how I can figure out which method signature the rest call actually expects/assumes?

    Thanks,

    Mike 

    Am 18.04.2016 um 18:09 schrieb Peter Judge <bounce-pjudge@community.progress.com>:

    <ProgressEmailLogo-png_2D00_150x42x2-png> Update from Progress Community
    <4TW97ZQFKRYJ-jpg_2D00_70x70x2-jpg>
    Peter Judge

    Also something else made me wonder: When trying to add the Rest facet in a new 11.6 workspace, the Rest facet is only displayed as version11.5. if I then try to add id, devStudio complains that this does conflict with 11.6 Appserver...?!?

     
    The service types are different between classic appserver and PASOE.  You *may* be able to use the 11.4 WAR with a newer classic AppServer REST adapter. You will not be able to use it with PASOE.
     
    To migrate to the PASOE service types, use
    Classic Mobile service is now ABL Service & Annotated RPC
    Classic REST service is now ABL Service & Mapped RPC
     
    There's also ABL Service & WebSpeed for the new WEB transport in PASOE
     
     
     
     
     
     
     

    View online

     

    You received this notification because you subscribed to the forum.  To unsubscribe from only this thread, go here.

    Flag this post as spam/abuse.

  • If you are working on a REST Adapter with your own tomcat or using TCIB(Tomcat-in-the-box), then both 11.4 and 11.6 should work. If you want to know the request URI of the method inside the REST Application, then you can look at the "mapping.xml" file in the "stagingDir" folder of the REST Application

    Regards,

    Irfan

  • Hi Mike,

    Business Logic files are not part of WAR file. If you copy a 11.4 WAR file into 11.6.1, you won't get the source/r-code files referred in the WAR file. User have to manually copy those files to 11.6.1 work directory.

    Have you copied source/r-code files corresponding to the 11.4 WAR file into 11.6.1 work directory?

    Hope this helps,

    Sanjeev.